# Uses of Class
org.apache.qpid.proton.amqp.security.SaslMechanisms

Packages that use SaslMechanisms
Package
Description
org.apache.qpid.proton.amqp.security
org.apache.qpid.proton.codec.security
org.apache.qpid.proton.engine.impl

## Uses of SaslMechanisms in org.apache.qpid.proton.amqp.security

Methods in org.apache.qpid.proton.amqp.security with parameters of type SaslMechanisms
Modifier and Type
Method
Description
`void`
SaslFrameBody.SaslFrameBodyHandler.`handleMechanisms(SaslMechanisms saslMechanisms, Binary payload, E context)`

## Uses of SaslMechanisms in org.apache.qpid.proton.codec.security

Methods in org.apache.qpid.proton.codec.security that return SaslMechanisms
Modifier and Type
Method
Description
`SaslMechanisms`
SaslMechanismsType.`newInstance(Object described)`
Methods in org.apache.qpid.proton.codec.security that return types with arguments of type SaslMechanisms
Modifier and Type
Method
Description
`Class<SaslMechanisms>`
SaslMechanismsType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.security with parameters of type SaslMechanisms
Modifier and Type
Method
Description
`protected List`
SaslMechanismsType.`wrap(SaslMechanisms val)`

## Uses of SaslMechanisms in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type SaslMechanisms
Modifier and Type
Method
Description
`void`
SaslImpl.`handleMechanisms(SaslMechanisms saslMechanisms, Binary payload, Void context)`